#ifndef	PID_H
#define	PID_H

typedef struct _pid_var {
	double		iState;		/* Integrator state			*/
	double		dState;		/* Last measured value input		*/
	double		iMax;		/* Maximum allowable integrator state	*/
	double		iMin;		/* Minimum allowable integrator state	*/
	double		iGain;		/* Integral gain			*/
	double		pGain;		/* Proportional gain			*/
	double		dGain;		/* Derivative gain			*/
} pid_var;


double UpdatePID( pid_var *, double, double);

#endif
